Open main menu
API Reference
Guides
Download Spec
View Changelog
Loading groups...
API Changelog: API Documentation
Previous
Next
Showing page
3
of
23
(
156
dates with changes)
Previous
1
2
3
4
5
...
23
Next
August 11, 2026
1 change
1 change
click to expand
~
Schema
modified
resource_deal
Schema changes
- filter
x-feature-flags:
- dealMandatoryTimeEntryNote
-
- dealMandatoryTimeEntryTask
automatic_invoicing_rule:
title: Automatic Invoicing Rule
x-used-in:
August 10, 2026
29 changes
29 changes
click to expand
+
Request body
added
deal_contact
Schema changes
+
content:
+
application/vnd.api+json:
+
schema:
+
type: object
+
properties:
+
data:
+
type: object
+
properties:
+
attributes:
+
type: object
+
properties:
+
deal_id:
+
"$ref": "#/components/schemas/resource_deal_contact/properties/deal_id"
+
position:
+
"$ref": "#/components/schemas/resource_deal_contact/properties/position"
+
person_id:
+
"$ref": "#/components/schemas/resource_deal_contact/properties/person_id"
+
+
Request body
added
deal_contact_bulk_update
Schema changes
+
content:
+
application/vnd.api+json; ext=bulk:
+
schema:
+
type: object
+
properties:
+
data:
+
type: array
+
items:
+
type: object
+
required:
+
- type
+
- id
+
properties:
+
id:
+
"$ref": "#/components/schemas/resource_deal_contact/properties/id"
+
type:
+
enum:
+
- deal_contacts
+
type: string
+
attributes:
+
type: object
+
properties:
+
position:
+
"$ref": "#/components/schemas/resource_deal_contact/properties/position"
+
+
Schema
added
_filter_root_deal_contact
Schema changes
+
oneOf:
+
- type: object
+
title: Advanced filters
+
required:
+
- "$op"
+
properties:
+
"$op":
+
enum:
+
- or
+
- and
+
type: string
+
x-enums:
+
or: OR
+
and: AND
+
patternProperties:
+
"^[0-9]+$":
+
"$ref": "#/components/schemas/_filter_root_deal_contact"
+
- "$ref": "#/components/schemas/filter_deal_contact"
+
required: false
+
x-internal: true
+
+
Schema
added
resource_deal_contact
Schema changes
+
type: object
+
title: Deal contact Resource
+
required: false
+
properties:
+
id:
+
type: integer
+
title: Id
+
x-used-in:
+
- filter
+
deal:
+
title: Deal
+
x-used-in:
+
- serializer
+
x-relationship: has_one
+
x-related-resource: resource_deal
+
person:
+
title: Person
+
x-used-in:
+
- serializer
+
x-relationship: has_one
+
x-related-resource: resource_person
+
deal_id:
+
type: integer
+
title: Deal
+
x-used-in:
+
- form
+
- filter
+
position:
+
type: integer
+
title: Position
+
x-used-in:
+
- serializer
+
- form
+
- filter
+
person_id:
+
type: integer
+
title: Person
+
x-used-in:
+
- form
+
- filter
+
+
Schema
added
filter_deal_contact
Schema changes
+
type: object
+
title: Filter deal contact
+
required: false
+
properties:
+
id:
+
oneOf:
+
- type: object
+
title: Operation
+
properties:
+
eq:
+
"$ref": "#/components/schemas/resource_deal_contact/properties/id"
+
not_eq:
+
"$ref": "#/components/schemas/resource_deal_contact/properties/id"
+
contains:
+
"$ref": "#/components/schemas/resource_deal_contact/properties/id"
+
not_contain:
+
"$ref": "#/components/schemas/resource_deal_contact/properties/id"
+
- "$ref": "#/components/schemas/resource_deal_contact/properties/id"
+
deal_id:
+
oneOf:
+
- type: object
+
title: Operation
+
properties:
+
eq:
+
"$ref": "#/components/schemas/resource_deal_contact/properties/deal_id"
+
not_eq:
+
"$ref": "#/components/schemas/resource_deal_contact/properties/deal_id"
+
contains:
+
"$ref": "#/components/schemas/resource_deal_contact/properties/deal_id"
+
not_contain:
+
"$ref": "#/components/schemas/resource_deal_contact/properties/deal_id"
+
- "$ref": "#/components/schemas/resource_deal_contact/properties/deal_id"
+
position:
+
oneOf:
+
- type: object
+
title: Operation
+
properties:
+
eq:
+
"$ref": "#/components/schemas/resource_deal_contact/properties/position"
+
not_eq:
+
"$ref": "#/components/schemas/resource_deal_contact/properties/position"
+
contains:
+
"$ref": "#/components/schemas/resource_deal_contact/properties/position"
+
not_contain:
+
"$ref": "#/components/schemas/resource_deal_contact/properties/position"
+
- "$ref": "#/components/schemas/resource_deal_contact/properties/position"
+
person_id:
+
oneOf:
+
- type: object
+
title: Operation
+
properties:
+
eq:
+
"$ref": "#/components/schemas/resource_deal_contact/properties/person_id"
+
not_eq:
+
"$ref": "#/components/schemas/resource_deal_contact/properties/person_id"
+
contains:
+
"$ref": "#/components/schemas/resource_deal_contact/properties/person_id"
+
not_contain:
+
"$ref": "#/components/schemas/resource_deal_contact/properties/person_id"
+
- "$ref": "#/components/schemas/resource_deal_contact/properties/person_id"
+
x-internal: true
+
patternProperties: {}
+
-
Schema
removed
filter_artifact
Schema changes
-
type: object
-
title: Filter artifact
-
required: false
-
properties:
-
id:
-
oneOf:
-
- type: object
-
title: Operation
-
properties:
-
eq:
-
"$ref": "#/components/schemas/resource_artifact/properties/id"
-
not_eq:
-
"$ref": "#/components/schemas/resource_artifact/properties/id"
-
contains:
-
"$ref": "#/components/schemas/resource_artifact/properties/id"
-
not_contain:
-
"$ref": "#/components/schemas/resource_artifact/properties/id"
-
- "$ref": "#/components/schemas/resource_artifact/properties/id"
-
name:
-
oneOf:
-
- type: object
-
title: Operation
-
properties:
-
eq:
-
"$ref": "#/components/schemas/resource_artifact/properties/name"
-
not_eq:
-
"$ref": "#/components/schemas/resource_artifact/properties/name"
-
contains:
-
"$ref": "#/components/schemas/resource_artifact/properties/name"
-
not_contain:
-
"$ref": "#/components/schemas/resource_artifact/properties/name"
-
- "$ref": "#/components/schemas/resource_artifact/properties/name"
-
created_at:
-
oneOf:
-
- type: object
-
title: Operation
-
properties:
-
eq:
-
"$ref": "#/components/schemas/resource_artifact/properties/created_at"
-
not_eq:
-
"$ref": "#/components/schemas/resource_artifact/properties/created_at"
-
contains:
-
"$ref": "#/components/schemas/resource_artifact/properties/created_at"
-
not_contain:
-
"$ref": "#/components/schemas/resource_artifact/properties/created_at"
-
- "$ref": "#/components/schemas/resource_artifact/properties/created_at"
-
creator_id:
-
oneOf:
-
- type: object
-
title: Operation
-
properties:
-
eq:
-
"$ref": "#/components/schemas/resource_artifact/properties/creator_id"
-
not_eq:
-
"$ref": "#/components/schemas/resource_artifact/properties/creator_id"
-
contains:
-
"$ref": "#/components/schemas/resource_artifact/properties/creator_id"
-
not_contain:
-
"$ref": "#/components/schemas/resource_artifact/properties/creator_id"
-
- "$ref": "#/components/schemas/resource_artifact/properties/creator_id"
-
public_access:
-
oneOf:
-
- type: object
-
title: Operation
-
properties:
-
eq:
-
"$ref": "#/components/schemas/resource_artifact/properties/public_access"
-
not_eq:
-
"$ref": "#/components/schemas/resource_artifact/properties/public_access"
-
- "$ref": "#/components/schemas/resource_artifact/properties/public_access"
-
x-internal: true
-
patternProperties: {}
-
-
Schema
removed
resource_artifact
Schema changes
-
type: object
-
title: Artifact Resource
-
required: false
-
properties:
-
id:
-
type: integer
-
x-used-in:
-
- filter
-
name:
-
type: string
-
title: Name
-
x-used-in:
-
- serializer
-
- form
-
created_at:
-
type: string
-
title: Created At
-
format: date-time
-
x-used-in:
-
- serializer
-
creator_id:
-
type: integer
-
x-used-in:
-
- filter
-
updated_at:
-
type: string
-
title: Updated At
-
format: date-time
-
x-used-in:
-
- serializer
-
description:
-
type: string
-
title: Description
-
x-used-in:
-
- serializer
-
- form
-
public_uuid:
-
type: string
-
title: Public Uuid
-
x-used-in:
-
- serializer
-
public_access:
-
type: boolean
-
title: Public Access
-
x-used-in:
-
- serializer
-
-
Schema
removed
_filter_root_artifact
Schema changes
-
oneOf:
-
- type: object
-
title: Advanced filters
-
required:
-
- "$op"
-
properties:
-
"$op":
-
enum:
-
- or
-
- and
-
type: string
-
x-enums:
-
or: OR
-
and: AND
-
patternProperties:
-
"^[0-9]+$":
-
"$ref": "#/components/schemas/_filter_root_artifact"
-
- "$ref": "#/components/schemas/filter_artifact"
-
required: false
-
x-internal: true
-
+
Response
added
single_deal_contact
Schema changes
+
content:
+
application/vnd.api+json:
+
schema:
+
type: object
+
properties:
+
data:
+
type: object
+
properties:
+
attributes:
+
type: object
+
properties:
+
position:
+
"$ref": "#/components/schemas/resource_deal_contact/properties/position"
+
relationships:
+
type: object
+
properties:
+
deal:
+
"$ref": "#/components/schemas/_single_relationship"
+
person:
+
"$ref": "#/components/schemas/_single_relationship"
+
meta:
+
"$ref": "#/components/schemas/_meta"
+
included:
+
type: array
+
items: {}
+
+
Response
added
collection_deal_contact
Schema changes
+
content:
+
application/vnd.api+json:
+
schema:
+
type: object
+
properties:
+
data:
+
type: array
+
items:
+
type: object
+
properties:
+
attributes:
+
type: object
+
properties:
+
position:
+
"$ref": "#/components/schemas/resource_deal_contact/properties/position"
+
relationships:
+
type: object
+
properties:
+
deal:
+
"$ref": "#/components/schemas/_single_relationship"
+
person:
+
"$ref": "#/components/schemas/_single_relationship"
+
meta:
+
"$ref": "#/components/schemas/_meta"
+
included:
+
type: array
+
items: {}
+
~
Response
modified
collection_time_entry
Schema changes
approved:
"$ref": "#/components/schemas/resource_time_entry/properties/approved"
currency:
-
"$ref": "#/components/schemas/resource_time_entry/properties/currency"
+
anyOf:
+
- "$ref": "#/components/schemas/resource_time_entry/properties/currency"
+
- type: 'null'
invoiced:
"$ref": "#/components/schemas/resource_time_entry/properties/invoiced"
overhead:
...
created_at:
"$ref": "#/components/schemas/resource_time_entry/properties/created_at"
started_at:
-
"$ref": "#/components/schemas/resource_time_entry/properties/started_at"
+
anyOf:
+
- "$ref": "#/components/schemas/resource_time_entry/properties/started_at"
+
- type: 'null'
updated_at:
"$ref": "#/components/schemas/resource_time_entry/properties/updated_at"
approved_at:
-
"$ref": "#/components/schemas/resource_time_entry/properties/approved_at"
+
anyOf:
+
- "$ref": "#/components/schemas/resource_time_entry/properties/approved_at"
+
- type: 'null'
rejected_at:
-
"$ref": "#/components/schemas/resource_time_entry/properties/rejected_at"
+
anyOf:
+
- "$ref": "#/components/schemas/resource_time_entry/properties/rejected_at"
+
- type: 'null'
cost_default:
"$ref": "#/components/schemas/resource_time_entry/properties/cost_default"
billable_time:
"$ref": "#/components/schemas/resource_time_entry/properties/billable_time"
jira_issue_id:
-
"$ref": "#/components/schemas/resource_time_entry/properties/jira_issue_id"
+
anyOf:
+
- "$ref": "#/components/schemas/resource_time_entry/properties/jira_issue_id"
+
- type: 'null'
overhead_cost:
"$ref": "#/components/schemas/resource_time_entry/properties/overhead_cost"
cost_normalized:
"$ref": "#/components/schemas/resource_time_entry/properties/cost_normalized"
jira_worklog_id:
-
"$ref": "#/components/schemas/resource_time_entry/properties/jira_worklog_id"
+
anyOf:
+
- "$ref": "#/components/schemas/resource_time_entry/properties/jira_worklog_id"
+
- type: 'null'
recognized_time:
"$ref": "#/components/schemas/resource_time_entry/properties/recognized_time"
rejected_reason:
-
"$ref": "#/components/schemas/resource_time_entry/properties/rejected_reason"
+
anyOf:
+
- "$ref": "#/components/schemas/resource_time_entry/properties/rejected_reason"
+
- type: 'null'
track_method_id:
"$ref": "#/components/schemas/resource_time_entry/properties/track_method_id"
currency_default:
"$ref": "#/components/schemas/resource_time_entry/properties/currency_default"
last_activity_at:
-
"$ref": "#/components/schemas/resource_time_entry/properties/last_activity_at"
+
anyOf:
+
- "$ref": "#/components/schemas/resource_time_entry/properties/last_activity_at"
+
- type: 'null'
timer_started_at:
-
"$ref": "#/components/schemas/resource_time_entry/properties/timer_started_at"
+
anyOf:
+
- "$ref": "#/components/schemas/resource_time_entry/properties/timer_started_at"
+
- type: 'null'
timer_stopped_at:
-
"$ref": "#/components/schemas/resource_time_entry/properties/timer_stopped_at"
+
anyOf:
+
- "$ref": "#/components/schemas/resource_time_entry/properties/timer_stopped_at"
+
- type: 'null'
calendar_event_id:
-
"$ref": "#/components/schemas/resource_time_entry/properties/calendar_event_id"
+
anyOf:
+
- "$ref": "#/components/schemas/resource_time_entry/properties/calendar_event_id"
+
- type: 'null'
jira_issue_status:
-
"$ref": "#/components/schemas/resource_time_entry/properties/jira_issue_status"
+
anyOf:
+
- "$ref": "#/components/schemas/resource_time_entry/properties/jira_issue_status"
+
- type: 'null'
jira_organization:
-
"$ref": "#/components/schemas/resource_time_entry/properties/jira_organization"
+
anyOf:
+
- "$ref": "#/components/schemas/resource_time_entry/properties/jira_organization"
+
- type: 'null'
work_cost_default:
"$ref": "#/components/schemas/resource_time_entry/properties/work_cost_default"
jira_issue_summary:
-
"$ref": "#/components/schemas/resource_time_entry/properties/jira_issue_summary"
+
anyOf:
+
- "$ref": "#/components/schemas/resource_time_entry/properties/jira_issue_summary"
+
- type: 'null'
currency_normalized:
"$ref": "#/components/schemas/resource_time_entry/properties/currency_normalized"
work_cost_normalized:
...
internal_overhead_cost:
"$ref": "#/components/schemas/resource_time_entry/properties/internal_overhead_cost"
invoice_attribution_id:
-
"$ref": "#/components/schemas/resource_time_entry/properties/invoice_attribution_id"
+
anyOf:
+
- "$ref": "#/components/schemas/resource_time_entry/properties/invoice_attribution_id"
+
- type: 'null'
overhead_cost_normalized:
"$ref": "#/components/schemas/resource_time_entry/properties/overhead_cost_normalized"
facility_overhead_cost_default:
~
Response
modified
single_time_entry
Schema changes
approved:
"$ref": "#/components/schemas/resource_time_entry/properties/approved"
currency:
-
"$ref": "#/components/schemas/resource_time_entry/properties/currency"
+
anyOf:
+
- "$ref": "#/components/schemas/resource_time_entry/properties/currency"
+
- type: 'null'
invoiced:
"$ref": "#/components/schemas/resource_time_entry/properties/invoiced"
overhead:
...
created_at:
"$ref": "#/components/schemas/resource_time_entry/properties/created_at"
started_at:
-
"$ref": "#/components/schemas/resource_time_entry/properties/started_at"
+
anyOf:
+
- "$ref": "#/components/schemas/resource_time_entry/properties/started_at"
+
- type: 'null'
updated_at:
"$ref": "#/components/schemas/resource_time_entry/properties/updated_at"
approved_at:
-
"$ref": "#/components/schemas/resource_time_entry/properties/approved_at"
+
anyOf:
+
- "$ref": "#/components/schemas/resource_time_entry/properties/approved_at"
+
- type: 'null'
rejected_at:
-
"$ref": "#/components/schemas/resource_time_entry/properties/rejected_at"
+
anyOf:
+
- "$ref": "#/components/schemas/resource_time_entry/properties/rejected_at"
+
- type: 'null'
cost_default:
"$ref": "#/components/schemas/resource_time_entry/properties/cost_default"
billable_time:
"$ref": "#/components/schemas/resource_time_entry/properties/billable_time"
jira_issue_id:
-
"$ref": "#/components/schemas/resource_time_entry/properties/jira_issue_id"
+
anyOf:
+
- "$ref": "#/components/schemas/resource_time_entry/properties/jira_issue_id"
+
- type: 'null'
overhead_cost:
"$ref": "#/components/schemas/resource_time_entry/properties/overhead_cost"
cost_normalized:
"$ref": "#/components/schemas/resource_time_entry/properties/cost_normalized"
jira_worklog_id:
-
"$ref": "#/components/schemas/resource_time_entry/properties/jira_worklog_id"
+
anyOf:
+
- "$ref": "#/components/schemas/resource_time_entry/properties/jira_worklog_id"
+
- type: 'null'
recognized_time:
"$ref": "#/components/schemas/resource_time_entry/properties/recognized_time"
rejected_reason:
-
"$ref": "#/components/schemas/resource_time_entry/properties/rejected_reason"
+
anyOf:
+
- "$ref": "#/components/schemas/resource_time_entry/properties/rejected_reason"
+
- type: 'null'
track_method_id:
"$ref": "#/components/schemas/resource_time_entry/properties/track_method_id"
currency_default:
"$ref": "#/components/schemas/resource_time_entry/properties/currency_default"
last_activity_at:
-
"$ref": "#/components/schemas/resource_time_entry/properties/last_activity_at"
+
anyOf:
+
- "$ref": "#/components/schemas/resource_time_entry/properties/last_activity_at"
+
- type: 'null'
timer_started_at:
-
"$ref": "#/components/schemas/resource_time_entry/properties/timer_started_at"
+
anyOf:
+
- "$ref": "#/components/schemas/resource_time_entry/properties/timer_started_at"
+
- type: 'null'
timer_stopped_at:
-
"$ref": "#/components/schemas/resource_time_entry/properties/timer_stopped_at"
+
anyOf:
+
- "$ref": "#/components/schemas/resource_time_entry/properties/timer_stopped_at"
+
- type: 'null'
calendar_event_id:
-
"$ref": "#/components/schemas/resource_time_entry/properties/calendar_event_id"
+
anyOf:
+
- "$ref": "#/components/schemas/resource_time_entry/properties/calendar_event_id"
+
- type: 'null'
jira_issue_status:
-
"$ref": "#/components/schemas/resource_time_entry/properties/jira_issue_status"
+
anyOf:
+
- "$ref": "#/components/schemas/resource_time_entry/properties/jira_issue_status"
+
- type: 'null'
jira_organization:
-
"$ref": "#/components/schemas/resource_time_entry/properties/jira_organization"
+
anyOf:
+
- "$ref": "#/components/schemas/resource_time_entry/properties/jira_organization"
+
- type: 'null'
work_cost_default:
"$ref": "#/components/schemas/resource_time_entry/properties/work_cost_default"
jira_issue_summary:
-
"$ref": "#/components/schemas/resource_time_entry/properties/jira_issue_summary"
+
anyOf:
+
- "$ref": "#/components/schemas/resource_time_entry/properties/jira_issue_summary"
+
- type: 'null'
currency_normalized:
"$ref": "#/components/schemas/resource_time_entry/properties/currency_normalized"
work_cost_normalized:
...
internal_overhead_cost:
"$ref": "#/components/schemas/resource_time_entry/properties/internal_overhead_cost"
invoice_attribution_id:
-
"$ref": "#/components/schemas/resource_time_entry/properties/invoice_attribution_id"
+
anyOf:
+
- "$ref": "#/components/schemas/resource_time_entry/properties/invoice_attribution_id"
+
- type: 'null'
overhead_cost_normalized:
"$ref": "#/components/schemas/resource_time_entry/properties/overhead_cost_normalized"
facility_overhead_cost_default:
+
Parameter
added
filter_deal_contact
Schema changes
+
in: query
+
name: filter
+
style: deepObject
+
schema:
+
"$ref": "#/components/schemas/_filter_root_deal_contact"
+
required: false
+
+
Group
added
Deal Contacts - Bulk
Schema changes
+
name: Deal Contacts - Bulk
+
x-resource: resource_deal_contact
+
+
Group
added
Deal Contacts
Schema changes
+
name: Deal Contacts
+
x-resource: resource_deal_contact
+
-
Group
removed
Artifacts
Schema changes
-
name: Artifacts
-
x-resource: resource_artifact
-
-
Get artifacts
GET
Operation
removed
/api/v2/artifacts/get
Schema changes
-
tags:
-
- Artifacts
-
summary: Get artifacts
-
responses:
-
'200':
-
"$ref": "#/components/responses/collection_artifact"
-
parameters:
-
- "$ref": "#/components/parameters/filter_artifact"
-
- "$ref": "#/components/parameters/sort_artifact"
-
- "$ref": "#/components/parameters/header_organization"
-
operationId: artifacts-index
-
-
Create an artifact
POST
Operation
removed
/api/v2/artifacts/post
Schema changes
-
tags:
-
- Artifacts
-
summary: Create an artifact
-
responses:
-
'201':
-
"$ref": "#/components/responses/single_artifact"
-
'422':
-
content:
-
application/vnd.api+json: {}
-
headers:
-
Content-Type:
-
schema:
-
type: string
-
parameters:
-
- "$ref": "#/components/parameters/header_organization"
-
x-internal: true
-
operationId: artifacts-create
-
requestBody:
-
"$ref": "#/components/requestBodies/artifact"
-
-
Deletes an artifact
DELETE
Operation
removed
/api/v2/artifacts/{id}/delete
Schema changes
-
tags:
-
- Artifacts
-
summary: Deletes an artifact
-
responses:
-
'204': {}
-
parameters:
-
- in: path
-
name: id
-
schema:
-
type: string
-
required: true
-
- "$ref": "#/components/parameters/header_organization"
-
operationId: artifacts-destroy
-
-
Gets an artifact
GET
Operation
removed
/api/v2/artifacts/{id}/get
Schema changes
-
tags:
-
- Artifacts
-
summary: Gets an artifact
-
responses:
-
'200':
-
"$ref": "#/components/responses/single_artifact"
-
parameters:
-
- in: path
-
name: id
-
schema:
-
type: string
-
required: true
-
- "$ref": "#/components/parameters/header_organization"
-
operationId: artifacts-show
-
-
Update an artifact
PATCH
Operation
removed
/api/v2/artifacts/{id}/patch
Schema changes
-
tags:
-
- Artifacts
-
summary: Update an artifact
-
responses:
-
'200':
-
"$ref": "#/components/responses/single_artifact"
-
parameters:
-
- in: path
-
name: id
-
schema:
-
type: string
-
required: true
-
- "$ref": "#/components/parameters/header_organization"
-
x-internal: true
-
operationId: artifacts-update
-
requestBody:
-
"$ref": "#/components/requestBodies/artifact"
-
-
Publishes an artifact
PATCH
Operation
removed
/api/v2/artifacts/{id}/publish/patch
Schema changes
-
tags:
-
- Artifacts
-
summary: Publishes an artifact
-
responses:
-
'200':
-
"$ref": "#/components/responses/single_artifact"
-
'409':
-
content:
-
application/vnd.api+json: {}
-
headers:
-
Content-Type:
-
schema:
-
type: string
-
parameters:
-
- in: path
-
name: id
-
schema:
-
type: string
-
required: true
-
- "$ref": "#/components/parameters/header_organization"
-
operationId: artifacts-publish-publish
-
-
Unpublishes an artifact
PATCH
Operation
removed
/api/v2/artifacts/{id}/unpublish/patch
Schema changes
-
tags:
-
- Artifacts
-
summary: Unpublishes an artifact
-
responses:
-
'200':
-
"$ref": "#/components/responses/single_artifact"
-
'409':
-
content:
-
application/vnd.api+json: {}
-
headers:
-
Content-Type:
-
schema:
-
type: string
-
parameters:
-
- in: path
-
name: id
-
schema:
-
type: string
-
required: true
-
- "$ref": "#/components/parameters/header_organization"
-
operationId: artifacts-unpublish-unpublish
-
-
Gets a public artifact
GET
Operation
removed
/api/v2/public/artifacts/{uuid}/get
Schema changes
-
tags:
-
- Artifacts
-
summary: Gets a public artifact
-
security: []
-
responses:
-
'200':
-
"$ref": "#/components/responses/single_artifact"
-
'404': {}
-
parameters:
-
- in: path
-
name: uuid
-
schema:
-
type: string
-
required: true
-
operationId: public-artifacts-show
-
-
Authenticates access to a public artifact attachment
GET
Operation
removed
/api/v2/public/artifacts/{uuid}/attachments/{id}/auth/get
Schema changes
-
tags:
-
- Artifacts
-
summary: Authenticates access to a public artifact attachment
-
security: []
-
responses:
-
'200': {}
-
'404': {}
-
parameters:
-
- in: path
-
name: uuid
-
schema:
-
type: string
-
required: true
-
- in: path
-
name: id
-
schema:
-
type: string
-
required: true
-
operationId: public-artifacts-attachments-auth
-
+
Get deal contacts
GET
Operation
added
/api/v2/deal_contacts/get
Schema changes
+
tags:
+
- Deal Contacts
+
summary: Get deal contacts
+
responses:
+
'200':
+
"$ref": "#/components/responses/collection_deal_contact"
+
parameters:
+
- "$ref": "#/components/parameters/filter_deal_contact"
+
- "$ref": "#/components/parameters/header_organization"
+
x-internal: true
+
operationId: deal_contacts-index
+
+
Create a deal contact
POST
Operation
added
/api/v2/deal_contacts/post
Schema changes
+
tags:
+
- Deal Contacts
+
summary: Create a deal contact
+
responses:
+
'201':
+
"$ref": "#/components/responses/single_deal_contact"
+
'422':
+
content:
+
application/vnd.api+json: {}
+
headers:
+
Content-Type:
+
schema:
+
type: string
+
parameters:
+
- "$ref": "#/components/parameters/header_organization"
+
x-internal: true
+
operationId: deal_contacts-create
+
requestBody:
+
"$ref": "#/components/requestBodies/deal_contact"
+
+
Deletes a deal contact
DELETE
Operation
added
/api/v2/deal_contacts/{id}/delete
Schema changes
+
tags:
+
- Deal Contacts
+
summary: Deletes a deal contact
+
responses:
+
'204': {}
+
parameters:
+
- in: path
+
name: id
+
schema:
+
type: string
+
required: true
+
- "$ref": "#/components/parameters/header_organization"
+
x-internal: true
+
operationId: deal_contacts-destroy
+
+
Update deal contacts
PATCH
Operation
added
/api/v2/deal_contacts/patch
Schema changes
+
tags:
+
- Deal Contacts - Bulk
+
summary: Update deal contacts
+
responses:
+
'200':
+
"$ref": "#/components/responses/collection_deal_contact"
+
'422':
+
content:
+
application/vnd.api+json: {}
+
headers:
+
Content-Type:
+
schema:
+
type: string
+
parameters:
+
- "$ref": "#/components/parameters/header_organization"
+
x-internal: true
+
operationId: deal_contacts-update-bulk
+
requestBody:
+
"$ref": "#/components/requestBodies/deal_contact_bulk_update"
+
August 06, 2026
33 changes
33 changes
click to expand
+
Schema
added
_filter_root_artifact
Schema changes
+
oneOf:
+
- type: object
+
title: Advanced filters
+
required:
+
- "$op"
+
properties:
+
"$op":
+
enum:
+
- or
+
- and
+
type: string
+
x-enums:
+
or: OR
+
and: AND
+
patternProperties:
+
"^[0-9]+$":
+
"$ref": "#/components/schemas/_filter_root_artifact"
+
- "$ref": "#/components/schemas/filter_artifact"
+
required: false
+
x-internal: true
+
+
Schema
added
filter_artifact
Schema changes
+
type: object
+
title: Filter artifact
+
required: false
+
properties:
+
id:
+
oneOf:
+
- type: object
+
title: Operation
+
properties:
+
eq:
+
"$ref": "#/components/schemas/resource_artifact/properties/id"
+
not_eq:
+
"$ref": "#/components/schemas/resource_artifact/properties/id"
+
contains:
+
"$ref": "#/components/schemas/resource_artifact/properties/id"
+
not_contain:
+
"$ref": "#/components/schemas/resource_artifact/properties/id"
+
- "$ref": "#/components/schemas/resource_artifact/properties/id"
+
name:
+
oneOf:
+
- type: object
+
title: Operation
+
properties:
+
eq:
+
"$ref": "#/components/schemas/resource_artifact/properties/name"
+
not_eq:
+
"$ref": "#/components/schemas/resource_artifact/properties/name"
+
contains:
+
"$ref": "#/components/schemas/resource_artifact/properties/name"
+
not_contain:
+
"$ref": "#/components/schemas/resource_artifact/properties/name"
+
- "$ref": "#/components/schemas/resource_artifact/properties/name"
+
created_at:
+
oneOf:
+
- type: object
+
title: Operation
+
properties:
+
eq:
+
"$ref": "#/components/schemas/resource_artifact/properties/created_at"
+
not_eq:
+
"$ref": "#/components/schemas/resource_artifact/properties/created_at"
+
contains:
+
"$ref": "#/components/schemas/resource_artifact/properties/created_at"
+
not_contain:
+
"$ref": "#/components/schemas/resource_artifact/properties/created_at"
+
- "$ref": "#/components/schemas/resource_artifact/properties/created_at"
+
creator_id:
+
oneOf:
+
- type: object
+
title: Operation
+
properties:
+
eq:
+
"$ref": "#/components/schemas/resource_artifact/properties/creator_id"
+
not_eq:
+
"$ref": "#/components/schemas/resource_artifact/properties/creator_id"
+
contains:
+
"$ref": "#/components/schemas/resource_artifact/properties/creator_id"
+
not_contain:
+
"$ref": "#/components/schemas/resource_artifact/properties/creator_id"
+
- "$ref": "#/components/schemas/resource_artifact/properties/creator_id"
+
public_access:
+
oneOf:
+
- type: object
+
title: Operation
+
properties:
+
eq:
+
"$ref": "#/components/schemas/resource_artifact/properties/public_access"
+
not_eq:
+
"$ref": "#/components/schemas/resource_artifact/properties/public_access"
+
- "$ref": "#/components/schemas/resource_artifact/properties/public_access"
+
x-internal: true
+
patternProperties: {}
+
+
Schema
added
resource_artifact
Schema changes
+
type: object
+
title: Artifact Resource
+
required: false
+
properties:
+
id:
+
type: integer
+
x-used-in:
+
- filter
+
name:
+
type: string
+
title: Name
+
x-used-in:
+
- serializer
+
- form
+
created_at:
+
type: string
+
title: Created At
+
format: date-time
+
x-used-in:
+
- serializer
+
creator_id:
+
type: integer
+
x-used-in:
+
- filter
+
updated_at:
+
type: string
+
title: Updated At
+
format: date-time
+
x-used-in:
+
- serializer
+
description:
+
type: string
+
title: Description
+
x-used-in:
+
- serializer
+
- form
+
public_uuid:
+
type: string
+
title: Public Uuid
+
x-used-in:
+
- serializer
+
public_access:
+
type: boolean
+
title: Public Access
+
x-used-in:
+
- serializer
+
+
Parameter
added
filter_artifact
Schema changes
+
in: query
+
name: filter
+
style: deepObject
+
schema:
+
"$ref": "#/components/schemas/_filter_root_artifact"
+
required: false
+
+
Parameter
added
sort_artifact
Schema changes
+
in: query
+
name: sort
+
style: form
+
schema:
+
type: array
+
items:
+
enum:
+
- created_at
+
- "-created_at"
+
- name
+
- "-name"
+
- updated_at
+
- "-updated_at"
+
type: string
+
title: Sort artifact
+
explode: false
+
required: false
+
+
Request body
added
artifact
Schema changes
+
content:
+
application/vnd.api+json:
+
schema:
+
type: object
+
properties:
+
data:
+
type: object
+
properties:
+
attributes:
+
type: object
+
properties:
+
name:
+
"$ref": "#/components/schemas/resource_artifact/properties/name"
+
description:
+
"$ref": "#/components/schemas/resource_artifact/properties/description"
+
+
Group
added
Artifacts
Schema changes
+
name: Artifacts
+
x-resource: resource_artifact
+
+
Response
added
single_artifact
Schema changes
+
content:
+
application/vnd.api+json:
+
schema:
+
type: object
+
properties:
+
data:
+
type: object
+
properties:
+
attributes:
+
type: object
+
properties:
+
name:
+
"$ref": "#/components/schemas/resource_artifact/properties/name"
+
created_at:
+
"$ref": "#/components/schemas/resource_artifact/properties/created_at"
+
updated_at:
+
"$ref": "#/components/schemas/resource_artifact/properties/updated_at"
+
description:
+
"$ref": "#/components/schemas/resource_artifact/properties/description"
+
public_uuid:
+
"$ref": "#/components/schemas/resource_artifact/properties/public_uuid"
+
public_access:
+
"$ref": "#/components/schemas/resource_artifact/properties/public_access"
+
relationships:
+
type: object
+
properties:
+
creator:
+
"$ref": "#/components/schemas/_single_relationship"
+
attachment:
+
"$ref": "#/components/schemas/_single_relationship"
+
meta:
+
"$ref": "#/components/schemas/_meta"
+
included:
+
type: array
+
items: {}
+
+
Response
added
collection_artifact
Schema changes
+
content:
+
application/vnd.api+json:
+
schema:
+
type: object
+
properties:
+
data:
+
type: array
+
items:
+
type: object
+
properties:
+
attributes:
+
type: object
+
properties:
+
name:
+
"$ref": "#/components/schemas/resource_artifact/properties/name"
+
created_at:
+
"$ref": "#/components/schemas/resource_artifact/properties/created_at"
+
updated_at:
+
"$ref": "#/components/schemas/resource_artifact/properties/updated_at"
+
description:
+
"$ref": "#/components/schemas/resource_artifact/properties/description"
+
public_uuid:
+
"$ref": "#/components/schemas/resource_artifact/properties/public_uuid"
+
public_access:
+
"$ref": "#/components/schemas/resource_artifact/properties/public_access"
+
relationships:
+
type: object
+
properties:
+
creator:
+
"$ref": "#/components/schemas/_single_relationship"
+
attachment:
+
"$ref": "#/components/schemas/_single_relationship"
+
meta:
+
"$ref": "#/components/schemas/_meta"
+
included:
+
type: array
+
items: {}
+
+
Get artifacts
GET
Operation
added
/api/v2/artifacts/get
Schema changes
+
tags:
+
- Artifacts
+
summary: Get artifacts
+
responses:
+
'200':
+
"$ref": "#/components/responses/collection_artifact"
+
parameters:
+
- "$ref": "#/components/parameters/filter_artifact"
+
- "$ref": "#/components/parameters/sort_artifact"
+
- "$ref": "#/components/parameters/header_organization"
+
operationId: artifacts-index
+
+
Create an artifact
POST
Operation
added
/api/v2/artifacts/post
Schema changes
+
tags:
+
- Artifacts
+
summary: Create an artifact
+
responses:
+
'201':
+
"$ref": "#/components/responses/single_artifact"
+
'422':
+
content:
+
application/vnd.api+json: {}
+
headers:
+
Content-Type:
+
schema:
+
type: string
+
parameters:
+
- "$ref": "#/components/parameters/header_organization"
+
x-internal: true
+
operationId: artifacts-create
+
requestBody:
+
"$ref": "#/components/requestBodies/artifact"
+
+
Create an artifact
POST
Response
added
/api/v2/artifacts/post/responses/422
Schema changes
+
content:
+
application/vnd.api+json: {}
+
headers:
+
Content-Type:
+
schema:
+
type: string
+
+
Deletes an artifact
DELETE
Parameter
added
/api/v2/artifacts/{id}/delete/parameters/id
Schema changes
+
in: path
+
name: id
+
schema:
+
type: string
+
required: true
+
+
Deletes an artifact
DELETE
Operation
added
/api/v2/artifacts/{id}/delete
Schema changes
+
tags:
+
- Artifacts
+
summary: Deletes an artifact
+
responses:
+
'204': {}
+
parameters:
+
- in: path
+
name: id
+
schema:
+
type: string
+
required: true
+
- "$ref": "#/components/parameters/header_organization"
+
operationId: artifacts-destroy
+
+
Deletes an artifact
DELETE
Response
added
/api/v2/artifacts/{id}/delete/responses/204
Schema changes
+
--- {}
+
+
Gets an artifact
GET
Parameter
added
/api/v2/artifacts/{id}/get/parameters/id
Schema changes
+
in: path
+
name: id
+
schema:
+
type: string
+
required: true
+
+
Gets an artifact
GET
Operation
added
/api/v2/artifacts/{id}/get
Schema changes
+
tags:
+
- Artifacts
+
summary: Gets an artifact
+
responses:
+
'200':
+
"$ref": "#/components/responses/single_artifact"
+
parameters:
+
- in: path
+
name: id
+
schema:
+
type: string
+
required: true
+
- "$ref": "#/components/parameters/header_organization"
+
operationId: artifacts-show
+
+
Update an artifact
PATCH
Parameter
added
/api/v2/artifacts/{id}/patch/parameters/id
Schema changes
+
in: path
+
name: id
+
schema:
+
type: string
+
required: true
+
+
Update an artifact
PATCH
Operation
added
/api/v2/artifacts/{id}/patch
Schema changes
+
tags:
+
- Artifacts
+
summary: Update an artifact
+
responses:
+
'200':
+
"$ref": "#/components/responses/single_artifact"
+
parameters:
+
- in: path
+
name: id
+
schema:
+
type: string
+
required: true
+
- "$ref": "#/components/parameters/header_organization"
+
x-internal: true
+
operationId: artifacts-update
+
requestBody:
+
"$ref": "#/components/requestBodies/artifact"
+
+
Publishes an artifact
PATCH
Parameter
added
/api/v2/artifacts/{id}/publish/patch/parameters/id
Schema changes
+
in: path
+
name: id
+
schema:
+
type: string
+
required: true
+
+
Publishes an artifact
PATCH
Operation
added
/api/v2/artifacts/{id}/publish/patch
Schema changes
+
tags:
+
- Artifacts
+
summary: Publishes an artifact
+
responses:
+
'200':
+
"$ref": "#/components/responses/single_artifact"
+
'409':
+
content:
+
application/vnd.api+json: {}
+
headers:
+
Content-Type:
+
schema:
+
type: string
+
parameters:
+
- in: path
+
name: id
+
schema:
+
type: string
+
required: true
+
- "$ref": "#/components/parameters/header_organization"
+
operationId: artifacts-publish-publish
+
+
Publishes an artifact
PATCH
Response
added
/api/v2/artifacts/{id}/publish/patch/responses/409
Schema changes
+
content:
+
application/vnd.api+json: {}
+
headers:
+
Content-Type:
+
schema:
+
type: string
+
+
Unpublishes an artifact
PATCH
Response
added
/api/v2/artifacts/{id}/unpublish/patch/responses/409
Schema changes
+
content:
+
application/vnd.api+json: {}
+
headers:
+
Content-Type:
+
schema:
+
type: string
+
+
Unpublishes an artifact
PATCH
Operation
added
/api/v2/artifacts/{id}/unpublish/patch
Schema changes
+
tags:
+
- Artifacts
+
summary: Unpublishes an artifact
+
responses:
+
'200':
+
"$ref": "#/components/responses/single_artifact"
+
'409':
+
content:
+
application/vnd.api+json: {}
+
headers:
+
Content-Type:
+
schema:
+
type: string
+
parameters:
+
- in: path
+
name: id
+
schema:
+
type: string
+
required: true
+
- "$ref": "#/components/parameters/header_organization"
+
operationId: artifacts-unpublish-unpublish
+
+
Unpublishes an artifact
PATCH
Parameter
added
/api/v2/artifacts/{id}/unpublish/patch/parameters/id
Schema changes
+
in: path
+
name: id
+
schema:
+
type: string
+
required: true
+
+
Gets a public artifact
GET
Operation
added
/api/v2/public/artifacts/{uuid}/get
Schema changes
+
tags:
+
- Artifacts
+
summary: Gets a public artifact
+
security: []
+
responses:
+
'200':
+
"$ref": "#/components/responses/single_artifact"
+
'404': {}
+
parameters:
+
- in: path
+
name: uuid
+
schema:
+
type: string
+
required: true
+
operationId: public-artifacts-show
+
+
Gets a public artifact
GET
Parameter
added
/api/v2/public/artifacts/{uuid}/get/parameters/uuid
Schema changes
+
in: path
+
name: uuid
+
schema:
+
type: string
+
required: true
+
+
Gets a public artifact
GET
Response
added
/api/v2/public/artifacts/{uuid}/get/responses/404
Schema changes
+
--- {}
+
+
Authenticates access to a public artifact attachment
GET
Response
added
/api/v2/public/artifacts/{uuid}/attachments/{id}/auth/get/responses/404
Schema changes
+
--- {}
+
+
Authenticates access to a public artifact attachment
GET
Response
added
/api/v2/public/artifacts/{uuid}/attachments/{id}/auth/get/responses/200
Schema changes
+
--- {}
+
+
Authenticates access to a public artifact attachment
GET
Parameter
added
/api/v2/public/artifacts/{uuid}/attachments/{id}/auth/get/parameters/uuid
Schema changes
+
in: path
+
name: uuid
+
schema:
+
type: string
+
required: true
+
+
Authenticates access to a public artifact attachment
GET
Parameter
added
/api/v2/public/artifacts/{uuid}/attachments/{id}/auth/get/parameters/id
Schema changes
+
in: path
+
name: id
+
schema:
+
type: string
+
required: true
+
+
Authenticates access to a public artifact attachment
GET
Operation
added
/api/v2/public/artifacts/{uuid}/attachments/{id}/auth/get
Schema changes
+
tags:
+
- Artifacts
+
summary: Authenticates access to a public artifact attachment
+
security: []
+
responses:
+
'200': {}
+
'404': {}
+
parameters:
+
- in: path
+
name: uuid
+
schema:
+
type: string
+
required: true
+
- in: path
+
name: id
+
schema:
+
type: string
+
required: true
+
operationId: public-artifacts-attachments-auth
+
August 05, 2026
23 changes
23 changes
click to expand
~
Response
modified
collection_financial_item_report
Schema changes
"$ref": "#/components/schemas/resource_financial_item_report/properties/total_estimated_cost_default"
total_scheduled_cost_default:
"$ref": "#/components/schemas/resource_financial_item_report/properties/total_scheduled_cost_default"
-
total_billable_scheduled_time:
-
"$ref": "#/components/schemas/resource_financial_item_report/properties/total_billable_scheduled_time"
total_budget_total_normalized:
"$ref": "#/components/schemas/resource_financial_item_report/properties/total_budget_total_normalized"
total_expense_cost_normalized:
+
Response
added
single_public_proposal
Schema changes
+
content:
+
application/vnd.api+json:
+
schema:
+
type: object
+
properties:
+
data:
+
type: object
+
properties:
+
attributes:
+
type: object
+
properties:
+
name:
+
"$ref": "#/components/schemas/resource_proposal/properties/name"
+
signed:
+
"$ref": "#/components/schemas/resource_proposal/properties/signed"
+
status:
+
"$ref": "#/components/schemas/resource_proposal/properties/status"
+
pdf_url:
+
"$ref": "#/components/schemas/resource_proposal/properties/pdf_url"
+
disclaimer:
+
"$ref": "#/components/schemas/resource_proposal/properties/disclaimer"
+
decline_reason:
+
"$ref": "#/components/schemas/resource_proposal/properties/decline_reason"
+
responder_name:
+
"$ref": "#/components/schemas/resource_proposal/properties/responder_name"
+
responder_email:
+
"$ref": "#/components/schemas/resource_proposal/properties/responder_email"
+
original_pdf_url:
+
"$ref": "#/components/schemas/resource_proposal/properties/original_pdf_url"
+
status_changed_at:
+
"$ref": "#/components/schemas/resource_proposal/properties/status_changed_at"
+
disclaimer_enabled:
+
"$ref": "#/components/schemas/resource_proposal/properties/disclaimer_enabled"
+
proposal_version_two:
+
"$ref": "#/components/schemas/resource_proposal/properties/proposal_version_two"
+
identity_confirmed_at:
+
"$ref": "#/components/schemas/resource_proposal/properties/identity_confirmed_at"
+
responded_via_public_link:
+
"$ref": "#/components/schemas/resource_proposal/properties/responded_via_public_link"
+
identity_confirmation_enabled:
+
"$ref": "#/components/schemas/resource_proposal/properties/identity_confirmation_enabled"
+
proposal_pdf_preview_on_mobile:
+
"$ref": "#/components/schemas/resource_proposal/properties/proposal_pdf_preview_on_mobile"
+
meta:
+
"$ref": "#/components/schemas/_meta"
+
included:
+
type: array
+
items: {}
+
~
Response
modified
collection_proposal
Schema changes
"$ref": "#/components/schemas/resource_proposal/properties/footer_interpolated"
budget_total_default:
"$ref": "#/components/schemas/resource_proposal/properties/budget_total_default"
+
identity_confirmed_at:
+
"$ref": "#/components/schemas/resource_proposal/properties/identity_confirmed_at"
purchase_order_number:
"$ref": "#/components/schemas/resource_proposal/properties/purchase_order_number"
budget_total_normalized:
"$ref": "#/components/schemas/resource_proposal/properties/budget_total_normalized"
+
identity_confirmation_enabled:
+
"$ref": "#/components/schemas/resource_proposal/properties/identity_confirmation_enabled"
relationships:
type: object
properties:
~
Response
modified
single_proposal
Schema changes
"$ref": "#/components/schemas/resource_proposal/properties/footer_interpolated"
budget_total_default:
"$ref": "#/components/schemas/resource_proposal/properties/budget_total_default"
+
identity_confirmed_at:
+
"$ref": "#/components/schemas/resource_proposal/properties/identity_confirmed_at"
purchase_order_number:
"$ref": "#/components/schemas/resource_proposal/properties/purchase_order_number"
budget_total_normalized:
"$ref": "#/components/schemas/resource_proposal/properties/budget_total_normalized"
+
identity_confirmation_enabled:
+
"$ref": "#/components/schemas/resource_proposal/properties/identity_confirmation_enabled"
relationships:
type: object
properties:
~
Schema
modified
resource_proposal
Schema changes
decline_reason:
type: string
title: Decline Reason
+
nullable: true
x-used-in:
- serializer
responder_name:
type: string
title: Responder Name
+
nullable: true
x-used-in:
- serializer
responsible_id:
...
title: Responsible
x-used-in:
- filter
+
signature_type:
+
enum:
+
- typed
+
- drawn
+
- uploaded
+
type: string
+
title: Signature Type
+
x-enums:
+
drawn: Drawn
+
typed: Typed
+
uploaded: Uploaded
+
x-used-in:
+
- form
signed_pdf_url:
type: string
title: Signed Pdf Url
...
responder_email:
type: string
title: Responder Email
+
nullable: true
x-used-in:
- serializer
currency_default:
...
title: Currency Normalized
x-used-in:
- serializer
+
disclaimer_accepted:
+
type: boolean
+
title: Disclaimer Accepted
+
x-used-in:
+
- form
footer_interpolated:
title: Footer Interpolated
x-used-in:
- serializer
+
signature_image_url:
+
type: string
+
title: Signature Image Url
+
x-used-in:
+
- form
budget_total_default:
title: Budget Total Default
x-used-in:
- serializer
+
proposal_version_two:
+
type: boolean
+
title: Proposal Version Two
+
x-used-in:
+
- serializer
+
identity_confirmed_at:
+
type: string
+
title: Identity Confirmed At
+
format: date-time
+
nullable: true
+
x-used-in:
+
- serializer
+
x-feature-flags:
+
- proposalVersionTwo
purchase_order_number:
type: string
title: Purchase Order Number
...
responded_via_public_link:
type: boolean
title: Responded Via Public Link
+
nullable: true
+
x-used-in:
+
- serializer
+
identity_confirmation_enabled:
+
type: boolean
+
title: Identity Confirmation Enabled
+
x-used-in:
+
- serializer
+
x-feature-flags:
+
- proposalVersionTwo
+
proposal_pdf_preview_on_mobile:
+
type: boolean
+
title: Proposal Pdf Preview On Mobile
x-used-in:
- serializer
-
Schema
removed
filter_project_relevancy_report
Schema changes
-
type: object
-
title: Filter project relevancy report
-
required: false
-
properties:
-
domain:
-
oneOf:
-
- type: object
-
title: Operation
-
properties:
-
eq:
-
"$ref": "#/components/schemas/resource_project_relevancy_report/properties/domain"
-
not_eq:
-
"$ref": "#/components/schemas/resource_project_relevancy_report/properties/domain"
-
contains:
-
"$ref": "#/components/schemas/resource_project_relevancy_report/properties/domain"
-
not_contain:
-
"$ref": "#/components/schemas/resource_project_relevancy_report/properties/domain"
-
- "$ref": "#/components/schemas/resource_project_relevancy_report/properties/domain"
-
person_id:
-
"$ref": "#/components/schemas/resource_project_relevancy_report/properties/person_id"
-
heuristic_type:
-
oneOf:
-
- type: object
-
title: Operation
-
properties:
-
eq:
-
"$ref": "#/components/schemas/resource_project_relevancy_report/properties/heuristic_type"
-
not_eq:
-
"$ref": "#/components/schemas/resource_project_relevancy_report/properties/heuristic_type"
-
contains:
-
"$ref": "#/components/schemas/resource_project_relevancy_report/properties/heuristic_type"
-
not_contain:
-
"$ref": "#/components/schemas/resource_project_relevancy_report/properties/heuristic_type"
-
- "$ref": "#/components/schemas/resource_project_relevancy_report/properties/heuristic_type"
-
time_trackable_on_date:
-
"$ref": "#/components/schemas/resource_project_relevancy_report/properties/time_trackable_on_date"
-
time_tracked_period_end:
-
"$ref": "#/components/schemas/resource_project_relevancy_report/properties/time_tracked_period_end"
-
time_tracked_period_start:
-
"$ref": "#/components/schemas/resource_project_relevancy_report/properties/time_tracked_period_start"
-
x-internal: true
-
~
Schema
modified
resource_email
Schema changes
- serializer
x-relationship: has_one
x-related-resource: resource_person
-
deal_id:
-
type: integer
-
title: Deal
-
x-used-in:
-
- filter
invoice:
title: Invoice
x-used-in:
...
title: Subject
x-used-in:
- serializer
-
task_id:
-
type: integer
-
title: Task
-
x-used-in:
-
- filter
outgoing:
type: boolean
title: Outgoing
...
title: Creator
x-used-in:
- filter
-
invoice_id:
-
type: integer
-
title: Invoice
-
x-used-in:
-
- filter
-
project_id:
-
type: integer
-
title: Project
-
x-used-in:
-
- filter
recipients:
title: Recipients
x-used-in:
...
title: Linked Type
x-used-in:
- serializer
-
proposal_id:
-
type: integer
-
title: Proposal
-
x-used-in:
-
- filter
received_at:
type: string
title: Received At
...
- serializer
x-relationship: has_one
x-related-resource: resource_payment_reminder
-
purchase_order_id:
-
type: integer
-
title: Purchase Order
-
x-used-in:
-
- filter
sender_or_recipient_id:
type: integer
title: Sender Or Recipient
~
Schema
modified
resource_service_report
Schema changes
title: Total Markup Amount Default
x-used-in:
- serializer
-
total_tentative_booked_time:
-
type: number
-
title: Total Tentative Booked Time
-
x-used-in:
-
- serializer
-
- sorter
average_budget_usage_default:
type: number
title: Average Budget Usage Default
...
title: Total Budget Remaining Normalized
x-used-in:
- serializer
-
total_future_tentative_booked_time:
-
type: number
-
title: Total Future Tentative Booked Time
-
x-used-in:
-
- serializer
-
- sorter
total_projected_revenue_normalized:
title: Total Projected Revenue Normalized
x-used-in:
-
Schema
removed
_filter_root_project_relevancy_report
Schema changes
-
oneOf:
-
- type: object
-
title: Advanced filters
-
required:
-
- "$op"
-
properties:
-
"$op":
-
enum:
-
- or
-
- and
-
type: string
-
x-enums:
-
or: OR
-
and: AND
-
patternProperties:
-
"^[0-9]+$":
-
"$ref": "#/components/schemas/_filter_root_project_relevancy_report"
-
- "$ref": "#/components/schemas/filter_project_relevancy_report"
-
required: false
-
x-internal: true
-
~
Schema
modified
resource_section
Schema changes
title: Budget
x-used-in:
- filter
-
description:
-
type: string
-
title: Description
-
x-used-in:
-
- serializer
-
- form
preferences:
type: object
title: Preferences
~
Schema
modified
filter_financial_item_report
Schema changes
not_contain:
"$ref": "#/components/schemas/resource_financial_item_report/properties/total_recognized_time"
- "$ref": "#/components/schemas/resource_financial_item_report/properties/total_recognized_time"
-
total_billable_scheduled_time:
-
oneOf:
-
- type: object
-
title: Operation
-
properties:
-
eq:
-
"$ref": "#/components/schemas/resource_financial_item_report/properties/total_billable_scheduled_time"
-
not_eq:
-
"$ref": "#/components/schemas/resource_financial_item_report/properties/total_billable_scheduled_time"
-
contains:
-
"$ref": "#/components/schemas/resource_financial_item_report/properties/total_billable_scheduled_time"
-
not_contain:
-
"$ref": "#/components/schemas/resource_financial_item_report/properties/total_billable_scheduled_time"
-
- "$ref": "#/components/schemas/resource_financial_item_report/properties/total_billable_scheduled_time"
x-internal: true
patternProperties:
"^budget..*$":
+
Schema
added
resource_proposal_identity_confirmation
Schema changes
+
type: object
+
title: Proposal Identity Confirmation Resource
+
required: false
+
properties:
+
token:
+
type: string
+
title: Token
+
x-used-in:
+
- form
+
~
Schema
modified
resource_service
Schema changes
title: Markup Amount Default
x-used-in:
- serializer
-
tentative_booked_time:
-
type: integer
-
title: Tentative Booked Time
-
x-used-in:
-
- serializer
time_tracking_enabled:
type: boolean
title: Time Tracking Enabled
...
- serializer
future_budget_used_default:
title: Future Budget Used Default
-
x-used-in:
-
- serializer
-
future_tentative_booked_time:
-
type: integer
-
title: Future Tentative Booked Time
x-used-in:
- serializer
projected_revenue_normalized:
~
Schema
modified
resource_financial_item_report
Schema changes
title: Total Scheduled Cost Default
x-used-in:
- serializer
-
total_billable_scheduled_time:
-
type: number
-
title: Total Billable Scheduled Time
-
x-used-in:
-
- serializer
-
- filter
-
- sorter
total_budget_total_normalized:
title: Total Budget Total Normalized
x-used-in:
~
Schema
modified
filter_email
Schema changes
not_contain:
"$ref": "#/components/schemas/resource_email/properties/status"
- "$ref": "#/components/schemas/resource_email/properties/status"
-
deal_id:
-
oneOf:
-
- type: object
-
title: Operation
-
properties:
-
eq:
-
"$ref": "#/components/schemas/resource_email/properties/deal_id"
-
not_eq:
-
"$ref": "#/components/schemas/resource_email/properties/deal_id"
-
contains:
-
"$ref": "#/components/schemas/resource_email/properties/deal_id"
-
not_contain:
-
"$ref": "#/components/schemas/resource_email/properties/deal_id"
-
- "$ref": "#/components/schemas/resource_email/properties/deal_id"
-
task_id:
-
oneOf:
-
- type: object
-
title: Operation
-
properties:
-
eq:
-
"$ref": "#/components/schemas/resource_email/properties/task_id"
-
not_eq:
-
"$ref": "#/components/schemas/resource_email/properties/task_id"
-
contains:
-
"$ref": "#/components/schemas/resource_email/properties/task_id"
-
not_contain:
-
"$ref": "#/components/schemas/resource_email/properties/task_id"
-
- "$ref": "#/components/schemas/resource_email/properties/task_id"
thread_id:
oneOf:
- type: object
...
not_contain:
"$ref": "#/components/schemas/resource_email/properties/creator_id"
- "$ref": "#/components/schemas/resource_email/properties/creator_id"
-
invoice_id:
-
oneOf:
-
- type: object
-
title: Operation
-
properties:
-
eq:
-
"$ref": "#/components/schemas/resource_email/properties/invoice_id"
-
not_eq:
-
"$ref": "#/components/schemas/resource_email/properties/invoice_id"
-
contains:
-
"$ref": "#/components/schemas/resource_email/properties/invoice_id"
-
not_contain:
-
"$ref": "#/components/schemas/resource_email/properties/invoice_id"
-
- "$ref": "#/components/schemas/resource_email/properties/invoice_id"
-
project_id:
-
oneOf:
-
- type: object
-
title: Operation
-
properties:
-
eq:
-
"$ref": "#/components/schemas/resource_email/properties/project_id"
-
not_eq:
-
"$ref": "#/components/schemas/resource_email/properties/project_id"
-
contains:
-
"$ref": "#/components/schemas/resource_email/properties/project_id"
-
not_contain:
-
"$ref": "#/components/schemas/resource_email/properties/project_id"
-
- "$ref": "#/components/schemas/resource_email/properties/project_id"
-
proposal_id:
-
oneOf:
-
- type: object
-
title: Operation
-
properties:
-
eq:
-
"$ref": "#/components/schemas/resource_email/properties/proposal_id"
-
not_eq:
-
"$ref": "#/components/schemas/resource_email/properties/proposal_id"
-
contains:
-
"$ref": "#/components/schemas/resource_email/properties/proposal_id"
-
not_contain:
-
"$ref": "#/components/schemas/resource_email/properties/proposal_id"
-
- "$ref": "#/components/schemas/resource_email/properties/proposal_id"
recipient_id:
oneOf:
- type: object
...
not_contain:
"$ref": "#/components/schemas/resource_email/properties/recipient_id"
- "$ref": "#/components/schemas/resource_email/properties/recipient_id"
-
purchase_order_id:
-
oneOf:
-
- type: object
-
title: Operation
-
properties:
-
eq:
-
"$ref": "#/components/schemas/resource_email/properties/purchase_order_id"
-
not_eq:
-
"$ref": "#/components/schemas/resource_email/properties/purchase_order_id"
-
contains:
-
"$ref": "#/components/schemas/resource_email/properties/purchase_order_id"
-
not_contain:
-
"$ref": "#/components/schemas/resource_email/properties/purchase_order_id"
-
- "$ref": "#/components/schemas/resource_email/properties/purchase_order_id"
sender_or_recipient_id:
oneOf:
- type: object
-
Schema
removed
resource_project_relevancy_report
Schema changes
-
type: object
-
title: Project relevancy report Resource
-
required: false
-
properties:
-
count:
-
type: integer
-
title: Count
-
x-used-in:
-
- serializer
-
group:
-
type: string
-
title: Group
-
x-used-in:
-
- serializer
-
score:
-
type: integer
-
title: Score
-
x-used-in:
-
- serializer
-
domain:
-
type: array
-
items:
-
type: string
-
title: Domain
-
x-used-in:
-
- filter
-
report:
-
title: Report
-
x-used-in:
-
- serializer
-
x-relationship: has_one
-
x-related-resource: resource_project_relevancy_report
-
project:
-
title: Project
-
x-used-in:
-
- serializer
-
- grouper
-
x-relationship: has_one
-
x-related-resource: resource_project
-
person_id:
-
type: integer
-
title: Person
-
x-used-in:
-
- filter
-
booked_score:
-
type: integer
-
title: Booked Score
-
x-used-in:
-
- serializer
-
domain_score:
-
type: integer
-
title: Domain Score
-
x-used-in:
-
- serializer
-
activity_score:
-
type: integer
-
title: Activity Score
-
x-used-in:
-
- serializer
-
formula_fields:
-
title: Formula Fields
-
x-used-in:
-
- serializer
-
heuristic_type:
-
type: array
-
items:
-
enum:
-
- domain
-
- time_tracked
-
- booked
-
- pinned_services
-
- activity
-
type: string
-
title: Heuristic Type
-
x-used-in:
-
- filter
-
time_tracked_score:
-
type: integer
-
title: Time Tracked Score
-
x-used-in:
-
- serializer
-
pinned_services_score:
-
type: integer
-
title: Pinned Services Score
-
x-used-in:
-
- serializer
-
time_trackable_on_date:
-
type: string
-
title: Time Trackable On Date
-
format: date
-
x-used-in:
-
- filter
-
time_tracked_period_end:
-
type: string
-
title: Time Tracked Period End
-
format: date
-
x-used-in:
-
- filter
-
time_tracked_period_start:
-
type: string
-
title: Time Tracked Period Start
-
format: date
-
x-used-in:
-
- filter
-
x-internal: true
-
+
Request body
added
proposal_identity_confirmation
Schema changes
+
content:
+
application/vnd.api+json:
+
schema:
+
type: object
+
required:
+
- data
+
properties:
+
data:
+
type: object
+
required:
+
- type
+
- attributes
+
properties:
+
type:
+
enum:
+
- proposals
+
type: string
+
attributes:
+
type: object
+
required:
+
- token
+
properties:
+
token:
+
"$ref": "#/components/schemas/resource_proposal_identity_confirmation/properties/token"
+
+
Request body
added
public_proposal_accept
Schema changes
+
content:
+
application/vnd.api+json:
+
schema:
+
type: object
+
required:
+
- data
+
properties:
+
data:
+
type: object
+
required:
+
- type
+
- attributes
+
properties:
+
type:
+
enum:
+
- proposals
+
type: string
+
attributes:
+
type: object
+
required:
+
- responder_name
+
- responder_email
+
properties:
+
responder_name:
+
"$ref": "#/components/schemas/resource_proposal/properties/responder_name"
+
signature_type:
+
"$ref": "#/components/schemas/resource_proposal/properties/signature_type"
+
responder_email:
+
"$ref": "#/components/schemas/resource_proposal/properties/responder_email"
+
disclaimer_accepted:
+
"$ref": "#/components/schemas/resource_proposal/properties/disclaimer_accepted"
+
signature_image_url:
+
"$ref": "#/components/schemas/resource_proposal/properties/signature_image_url"
+
~
Parameter
modified
sort_financial_item_report
Schema changes
- "-stage_type"
- subsidiary
- "-subsidiary"
-
- total_billable_scheduled_time
-
- "-total_billable_scheduled_time"
- total_billable_time
- "-total_billable_time"
- total_budget_total
~
Parameter
modified
sort_service_report
Schema changes
- "-total_future_booked_time"
- total_future_budget_used
- "-total_future_budget_used"
-
- total_future_tentative_booked_time
-
- "-total_future_tentative_booked_time"
- total_left_to_schedule_time
- "-total_left_to_schedule_time"
- total_markup_amount
...
- "-total_revenue"
- total_rolled_over_time
- "-total_rolled_over_time"
-
- total_tentative_booked_time
-
- "-total_tentative_booked_time"
- total_unapproved_time
- "-total_unapproved_time"
- total_worked_cost
+
Accept a public proposal
PATCH
Operation
added
/api/v2/public/proposals/{uuid}/accept/patch
Schema changes
+
tags:
+
- Proposals
+
summary: Accept a public proposal
+
responses:
+
'200':
+
"$ref": "#/components/responses/single_public_proposal"
+
'404':
+
content:
+
application/vnd.api+json: {}
+
headers:
+
Content-Type:
+
schema:
+
type: string
+
'409':
+
content:
+
application/vnd.api+json: {}
+
headers:
+
Content-Type:
+
schema:
+
type: string
+
'422':
+
content:
+
application/vnd.api+json: {}
+
headers:
+
Content-Type:
+
schema:
+
type: string
+
'429':
+
content:
+
application/vnd.api+json: {}
+
headers:
+
Content-Type:
+
schema:
+
type: string
+
parameters:
+
- in: path
+
name: uuid
+
schema:
+
type: string
+
required: true
+
operationId: public-proposals-accept
+
requestBody:
+
"$ref": "#/components/requestBodies/public_proposal_accept"
+
+
Confirm identity for a public proposal
PATCH
Operation
added
/api/v2/public/proposals/{uuid}/confirm_identity/patch
Schema changes
+
tags:
+
- Proposals
+
summary: Confirm identity for a public proposal
+
responses:
+
'200':
+
"$ref": "#/components/responses/single_public_proposal"
+
'404':
+
content:
+
application/vnd.api+json: {}
+
headers:
+
Content-Type:
+
schema:
+
type: string
+
'409':
+
content:
+
application/vnd.api+json: {}
+
headers:
+
Content-Type:
+
schema:
+
type: string
+
'410':
+
content:
+
application/vnd.api+json: {}
+
headers:
+
Content-Type:
+
schema:
+
type: string
+
parameters:
+
- in: path
+
name: uuid
+
schema:
+
type: string
+
required: true
+
operationId: public-proposals-confirm_identity
+
requestBody:
+
"$ref": "#/components/requestBodies/proposal_identity_confirmation"
+
x-feature-flags:
+
- proposalVersionTwo
+
-
Get project relevancy reports
GET
Operation
removed
/api/v2/reports/project_relevancy_reports/get
Schema changes
-
tags:
-
- Reports
-
summary: Get project relevancy reports
-
responses:
-
'200':
-
"$ref": "#/components/responses/collection_project_relevancy_report"
-
parameters:
-
- "$ref": "#/components/parameters/filter_project_relevancy_report"
-
- "$ref": "#/components/parameters/group_project_relevancy_report"
-
- "$ref": "#/components/parameters/header_organization"
-
x-internal: true
-
x-resource: resource_project_relevancy_report
-
operationId: reports-project_relevancy_reports-index
-
August 04, 2026
28 changes
28 changes
click to expand
-
Schema
removed
_filter_root_integration_task_management_configuration
Schema changes
-
oneOf:
-
- type: object
-
title: Advanced filters
-
required:
-
- "$op"
-
properties:
-
"$op":
-
enum:
-
- or
-
- and
-
type: string
-
x-enums:
-
or: OR
-
and: AND
-
patternProperties:
-
"^[0-9]+$":
-
"$ref": "#/components/schemas/_filter_root_integration_task_management_configuration"
-
- "$ref": "#/components/schemas/filter_integration_task_management_configuration"
-
required: false
-
x-internal: true
-
~
Schema
modified
resource_time_entry_report
Schema changes
- grouper
x-relationship: has_one
x-related-resource: resource_subsidiary
-
ended_at_period:
-
title: Ended At Period
-
x-used-in:
-
- serializer
jira_worklog_id:
type: integer
title: Jira Worklog
...
- grouper
x-relationship: has_one
x-related-resource: resource_subsidiary
-
started_at_period:
-
title: Started At Period
-
x-used-in:
-
- serializer
approval_policy_id:
type: integer
title: Approval Policy
x-used-in:
- filter
-
approved_at_period:
-
title: Approved At Period
-
x-used-in:
-
- serializer
deal_subsidiary_id:
type: integer
title: Deal Subsidiary
~
Schema
modified
resource_task
Schema changes
- serializer
x-relationship: has_many
x-related-resource: resource_attachment
-
booked_time:
-
type: integer
-
title: Booked Time
-
x-used-in:
-
- serializer
-
x-feature-flags:
-
- taskReportBookingFields
description:
type: string
title: Description
...
'4': Slack
x-used-in:
- serializer
-
future_booked_time:
-
type: integer
-
title: Future Booked Time
-
x-used-in:
-
- serializer
-
x-feature-flags:
-
- taskReportBookingFields
open_subtask_count:
type: integer
title: Open Subtask Count
~
Schema
modified
filter_email
Schema changes
not_contain:
"$ref": "#/components/schemas/resource_email/properties/status"
- "$ref": "#/components/schemas/resource_email/properties/status"
-
thread_id:
-
oneOf:
-
- type: object
-
title: Operation
-
properties:
-
eq:
-
"$ref": "#/components/schemas/resource_email/properties/thread_id"
-
not_eq:
-
"$ref": "#/components/schemas/resource_email/properties/thread_id"
-
contains:
-
"$ref": "#/components/schemas/resource_email/properties/thread_id"
-
not_contain:
-
"$ref": "#/components/schemas/resource_email/properties/thread_id"
-
- "$ref": "#/components/schemas/resource_email/properties/thread_id"
company_id:
oneOf:
- type: object
~
Schema
modified
resource_email
Schema changes
title: Linked
x-used-in:
- serializer
-
thread_id:
-
type: integer
-
title: Thread
-
x-used-in:
-
- filter
company_id:
type: integer
title: Company
-
Schema
removed
resource_integration_task_management_configuration
Schema changes
-
type: object
-
title: Integration task management configuration Resource
-
required: false
-
properties:
-
id:
-
type: integer
-
title: Id
-
x-used-in:
-
- sorter
-
deal:
-
title: Deal
-
x-used-in:
-
- serializer
-
x-relationship: has_one
-
x-related-resource: resource_deal
-
deal_id:
-
type: integer
-
title: Deal
-
x-used-in:
-
- form
-
- filter
-
- sorter
-
project:
-
title: Project
-
x-used-in:
-
- serializer
-
x-relationship: has_one
-
x-related-resource: resource_project
-
created_at:
-
title: Created At
-
x-used-in:
-
- sorter
-
jira_board:
-
type: string
-
title: Jira Board
-
x-used-in:
-
- serializer
-
- form
-
project_id:
-
type: integer
-
title: Project
-
x-used-in:
-
- form
-
- filter
-
- sorter
-
integration:
-
title: Integration
-
x-used-in:
-
- serializer
-
x-relationship: has_one
-
x-related-resource: resource_integration
-
jira_project:
-
type: string
-
title: Jira Project
-
x-used-in:
-
- serializer
-
- form
-
jira_screens:
-
type: array
-
items:
-
type: string
-
title: Jira Screens
-
x-used-in:
-
- serializer
-
- form
-
organization:
-
title: Organization
-
x-used-in:
-
- serializer
-
x-relationship: has_one
-
x-related-resource: resource_organization
-
default_person:
-
title: Default Person
-
x-used-in:
-
- serializer
-
x-relationship: has_one
-
x-related-resource: resource_person
-
integration_id:
-
type: integer
-
title: Integration
-
x-used-in:
-
- form
-
- filter
-
default_service:
-
title: Default Service
-
x-used-in:
-
- serializer
-
x-relationship: has_one
-
x-related-resource: resource_service
-
default_person_id:
-
type: integer
-
title: Default Person
-
x-used-in:
-
- form
-
default_service_id:
-
type: integer
-
title: Default Service
-
x-used-in:
-
- form
-
jira_hierarchy_resolution_enabled:
-
type: boolean
-
title: Jira Hierarchy Resolution Enabled
-
x-used-in:
-
- serializer
-
- form
-
~
Schema
modified
filter_task_report
Schema changes
not_contain:
"$ref": "#/components/schemas/resource_task_report/properties/assignee_id"
- "$ref": "#/components/schemas/resource_task_report/properties/assignee_id"
-
booked_time:
-
oneOf:
-
- type: object
-
title: Operation
-
properties:
-
eq:
-
"$ref": "#/components/schemas/resource_task_report/properties/booked_time"
-
not_eq:
-
"$ref": "#/components/schemas/resource_task_report/properties/booked_time"
-
contains:
-
"$ref": "#/components/schemas/resource_task_report/properties/booked_time"
-
not_contain:
-
"$ref": "#/components/schemas/resource_task_report/properties/booked_time"
-
- "$ref": "#/components/schemas/resource_task_report/properties/booked_time"
due_date_on:
oneOf:
- type: object
...
not_contain:
"$ref": "#/components/schemas/resource_task_report/properties/start_date_before"
- "$ref": "#/components/schemas/resource_task_report/properties/start_date_before"
-
future_booked_time:
-
oneOf:
-
- type: object
-
title: Operation
-
properties:
-
eq:
-
"$ref": "#/components/schemas/resource_task_report/properties/future_booked_time"
-
not_eq:
-
"$ref": "#/components/schemas/resource_task_report/properties/future_booked_time"
-
contains:
-
"$ref": "#/components/schemas/resource_task_report/properties/future_booked_time"
-
not_contain:
-
"$ref": "#/components/schemas/resource_task_report/properties/future_booked_time"
-
- "$ref": "#/components/schemas/resource_task_report/properties/future_booked_time"
-
net_unplanned_time:
-
oneOf:
-
- type: object
-
title: Operation
-
properties:
-
eq:
-
"$ref": "#/components/schemas/resource_task_report/properties/net_unplanned_time"
-
not_eq:
-
"$ref": "#/components/schemas/resource_task_report/properties/net_unplanned_time"
-
contains:
-
"$ref": "#/components/schemas/resource_task_report/properties/net_unplanned_time"
-
not_contain:
-
"$ref": "#/components/schemas/resource_task_report/properties/net_unplanned_time"
-
- "$ref": "#/components/schemas/resource_task_report/properties/net_unplanned_time"
project_manager_id:
oneOf:
- type: object
...
not_contain:
"$ref": "#/components/schemas/resource_task_report/properties/last_activity_before"
- "$ref": "#/components/schemas/resource_task_report/properties/last_activity_before"
-
left_to_schedule_time:
-
oneOf:
-
- type: object
-
title: Operation
-
properties:
-
eq:
-
"$ref": "#/components/schemas/resource_task_report/properties/left_to_schedule_time"
-
not_eq:
-
"$ref": "#/components/schemas/resource_task_report/properties/left_to_schedule_time"
-
contains:
-
"$ref": "#/components/schemas/resource_task_report/properties/left_to_schedule_time"
-
not_contain:
-
"$ref": "#/components/schemas/resource_task_report/properties/left_to_schedule_time"
-
- "$ref": "#/components/schemas/resource_task_report/properties/left_to_schedule_time"
trackable_by_person_id:
oneOf:
- type: object
-
Schema
removed
filter_integration_task_management_configuration
Schema changes
-
type: object
-
title: Filter integration task management configuration
-
required: false
-
properties:
-
deal_id:
-
oneOf:
-
- type: object
-
title: Operation
-
properties:
-
eq:
-
"$ref": "#/components/schemas/resource_integration_task_management_configuration/properties/deal_id"
-
not_eq:
-
"$ref": "#/components/schemas/resource_integration_task_management_configuration/properties/deal_id"
-
- "$ref": "#/components/schemas/resource_integration_task_management_configuration/properties/deal_id"
-
project_id:
-
oneOf:
-
- type: object
-
title: Operation
-
properties:
-
eq:
-
"$ref": "#/components/schemas/resource_integration_task_management_configuration/properties/project_id"
-
not_eq:
-
"$ref": "#/components/schemas/resource_integration_task_management_configuration/properties/project_id"
-
- "$ref": "#/components/schemas/resource_integration_task_management_configuration/properties/project_id"
-
integration_id:
-
oneOf:
-
- type: object
-
title: Operation
-
properties:
-
eq:
-
"$ref": "#/components/schemas/resource_integration_task_management_configuration/properties/integration_id"
-
not_eq:
-
"$ref": "#/components/schemas/resource_integration_task_management_configuration/properties/integration_id"
-
- "$ref": "#/components/schemas/resource_integration_task_management_configuration/properties/integration_id"
-
x-internal: true
-
patternProperties: {}
-
~
Schema
modified
resource_task_report
Schema changes
title: Assignee
x-used-in:
- filter
-
booked_time:
-
type: integer
-
title: Booked Time
-
x-used-in:
-
- filter
-
x-feature-flags:
-
- taskReportBookingFields
due_date_on:
type: string
title: Due Date On
...
title: Start Date Period
x-used-in:
- serializer
-
total_booked_time:
-
type: number
-
title: Total Booked Time
-
x-used-in:
-
- serializer
-
- sorter
-
x-feature-flags:
-
- taskReportBookingFields
total_worked_time:
type: number
title: Total Worked Time
x-used-in:
- serializer
- sorter
-
future_booked_time:
-
type: integer
-
title: Future Booked Time
-
x-used-in:
-
- filter
-
x-feature-flags:
-
- taskReportBookingFields
-
net_unplanned_time:
-
type: integer
-
title: Net Unplanned Time
-
x-used-in:
-
- filter
-
x-feature-flags:
-
- taskReportBookingFields
project_manager_id:
type: integer
title: Project Manager
...
x-used-in:
- serializer
- sorter
-
left_to_schedule_time:
-
type: integer
-
title: Left To Schedule Time
-
x-used-in:
-
- filter
-
x-feature-flags:
-
- taskReportBookingFields
task_last_activity_at:
title: Task Last Activity At
x-used-in:
...
title: Last Activity At Period
x-used-in:
- serializer
-
total_future_booked_time:
-
type: number
-
title: Total Future Booked Time
-
x-used-in:
-
- serializer
-
- sorter
-
x-feature-flags:
-
- taskReportBookingFields
-
total_net_unplanned_time:
-
type: number
-
title: Total Net Unplanned Time
-
x-used-in:
-
- serializer
-
- sorter
-
x-feature-flags:
-
- taskReportBookingFields
-
total_left_to_schedule_time:
-
type: number
-
title: Total Left To Schedule Time
-
x-used-in:
-
- serializer
-
- sorter
-
x-feature-flags:
-
- taskReportBookingFields
workflow_status_category_id:
enum:
- 1
~
Schema
modified
resource_financial_item_report
Schema changes
- serializer
- sorter
- filter
+
total_billable_worked_time:
+
type: number
+
title: Total Billable Worked Time
+
x-used-in:
+
- serializer
+
- filter
+
- sorter
total_budget_total_default:
title: Total Budget Total Default
x-used-in:
~
Schema
modified
filter_financial_item_report
Schema changes
not_contain:
"$ref": "#/components/schemas/resource_financial_item_report/properties/total_recognized_time"
- "$ref": "#/components/schemas/resource_financial_item_report/properties/total_recognized_time"
+
total_billable_worked_time:
+
oneOf:
+
- type: object
+
title: Operation
+
properties:
+
eq:
+
"$ref": "#/components/schemas/resource_financial_item_report/properties/total_billable_worked_time"
+
not_eq:
+
"$ref": "#/components/schemas/resource_financial_item_report/properties/total_billable_worked_time"
+
contains:
+
"$ref": "#/components/schemas/resource_financial_item_report/properties/total_billable_worked_time"
+
not_contain:
+
"$ref": "#/components/schemas/resource_financial_item_report/properties/total_billable_worked_time"
+
- "$ref": "#/components/schemas/resource_financial_item_report/properties/total_billable_worked_time"
total_billable_scheduled_time:
oneOf:
- type: object
~
Schema
modified
resource_person
Schema changes
x-used-in:
- serializer
- form
+
ai_assistant_instructions:
+
type: string
+
title: Ai Assistant Instructions
+
maxLength: 10000
+
x-used-in:
+
- serializer
+
- form
+
x-feature-flags:
+
- aiAgentAiAssistantCustomInstructions
approval_policy_assignment:
title: Approval Policy Assignment
x-used-in:
~
Response
modified
collection_task
Schema changes
"$ref": "#/components/schemas/resource_task/properties/todo_count"
updated_at:
"$ref": "#/components/schemas/resource_task/properties/updated_at"
-
booked_time:
-
"$ref": "#/components/schemas/resource_task/properties/booked_time"
task_number:
"$ref": "#/components/schemas/resource_task/properties/task_number"
worked_time:
...
"$ref": "#/components/schemas/resource_task/properties/todo_assignee_ids"
creation_method_id:
"$ref": "#/components/schemas/resource_task/properties/creation_method_id"
-
future_booked_time:
-
"$ref": "#/components/schemas/resource_task/properties/future_booked_time"
open_subtask_count:
"$ref": "#/components/schemas/resource_task/properties/open_subtask_count"
repeat_on_interval:
~
Response
modified
collection_time_entry_report
Schema changes
"$ref": "#/components/schemas/resource_time_entry_report/properties/jira_issue_id"
formula_fields:
"$ref": "#/components/schemas/resource_time_entry_report/properties/formula_fields"
-
ended_at_period:
-
"$ref": "#/components/schemas/resource_time_entry_report/properties/ended_at_period"
project_type_id:
"$ref": "#/components/schemas/resource_time_entry_report/properties/project_type_id"
total_work_cost:
...
"$ref": "#/components/schemas/resource_time_entry_report/properties/created_at_period"
jira_issue_status:
"$ref": "#/components/schemas/resource_time_entry_report/properties/jira_issue_status"
-
started_at_period:
-
"$ref": "#/components/schemas/resource_time_entry_report/properties/started_at_period"
-
approved_at_period:
-
"$ref": "#/components/schemas/resource_time_entry_report/properties/approved_at_period"
intercompany_hours:
"$ref": "#/components/schemas/resource_time_entry_report/properties/intercompany_hours"
jira_issue_summary:
~
Response
modified
collection_task_report
Schema changes
"$ref": "#/components/schemas/resource_task_report/properties/created_at_period"
start_date_period:
"$ref": "#/components/schemas/resource_task_report/properties/start_date_period"
-
total_booked_time:
-
"$ref": "#/components/schemas/resource_task_report/properties/total_booked_time"
total_worked_time:
"$ref": "#/components/schemas/resource_task_report/properties/total_worked_time"
currency_normalized:
...
"$ref": "#/components/schemas/resource_task_report/properties/total_initial_estimate"
last_activity_at_period:
"$ref": "#/components/schemas/resource_task_report/properties/last_activity_at_period"
-
total_future_booked_time:
-
"$ref": "#/components/schemas/resource_task_report/properties/total_future_booked_time"
-
total_net_unplanned_time:
-
"$ref": "#/components/schemas/resource_task_report/properties/total_net_unplanned_time"
-
total_left_to_schedule_time:
-
"$ref": "#/components/schemas/resource_task_report/properties/total_left_to_schedule_time"
workflow_status_category_id:
"$ref": "#/components/schemas/resource_task_report/properties/workflow_status_category_id"
total_estimate_at_completion:
~
Response
modified
single_task
Schema changes
"$ref": "#/components/schemas/resource_task/properties/todo_count"
updated_at:
"$ref": "#/components/schemas/resource_task/properties/updated_at"
-
booked_time:
-
"$ref": "#/components/schemas/resource_task/properties/booked_time"
task_number:
"$ref": "#/components/schemas/resource_task/properties/task_number"
worked_time:
...
"$ref": "#/components/schemas/resource_task/properties/todo_assignee_ids"
creation_method_id:
"$ref": "#/components/schemas/resource_task/properties/creation_method_id"
-
future_booked_time:
-
"$ref": "#/components/schemas/resource_task/properties/future_booked_time"
open_subtask_count:
"$ref": "#/components/schemas/resource_task/properties/open_subtask_count"
repeat_on_interval:
~
Response
modified
collection_financial_item_report
Schema changes
"$ref": "#/components/schemas/resource_financial_item_report/properties/total_invoiced_normalized"
financial_item_description:
"$ref": "#/components/schemas/resource_financial_item_report/properties/financial_item_description"
+
total_billable_worked_time:
+
"$ref": "#/components/schemas/resource_financial_item_report/properties/total_billable_worked_time"
total_budget_total_default:
"$ref": "#/components/schemas/resource_financial_item_report/properties/total_budget_total_default"
total_expense_cost_default:
-
Group
removed
Integration Task Management Configuration
Schema changes
-
name: Integration Task Management Configuration
-
x-resource: resource_integration_task_management_configuration
-
~
Request body
modified
invoice_attribution
Schema changes
"$ref": "#/components/schemas/resource_invoice_attribution/properties/date_from"
invoice_id:
"$ref": "#/components/schemas/resource_invoice_attribution/properties/invoice_id"
+
application/vnd.api+json; ext=bulk:
+
schema:
+
type: object
+
properties:
+
data:
+
type: array
+
items:
+
type: object
+
required:
+
- type
+
- attributes
+
properties:
+
type:
+
enum:
+
- invoice_attributions
+
type: string
+
attributes:
+
type: object
+
maxItems: 100
~
Request body
modified
invoice
Schema changes
"$ref": "#/components/schemas/resource_invoice/properties/bank_account_details"
purchase_order_number:
"$ref": "#/components/schemas/resource_invoice/properties/purchase_order_number"
+
application/vnd.api+json; ext=bulk:
+
schema:
+
type: object
+
properties:
+
data:
+
type: array
+
items:
+
type: object
+
required:
+
- type
+
- attributes
+
properties:
+
type:
+
enum:
+
- invoices
+
type: string
+
attributes:
+
type: object
+
maxItems: 100
~
Request body
modified
person
Schema changes
time_unlocked_start_date:
"$ref": "#/components/schemas/resource_person/properties/time_unlocked_start_date"
x-required: Required if time_unlocked is true
+
ai_assistant_instructions:
+
"$ref": "#/components/schemas/resource_person/properties/ai_assistant_instructions"
timesheet_submission_disabled:
"$ref": "#/components/schemas/resource_person/properties/timesheet_submission_disabled"
granular_notification_preferences:
~
Parameter
modified
sort_task_report
Schema changes
- "-title"
- total_billable_time
- "-total_billable_time"
-
- total_booked_time
-
- "-total_booked_time"
- total_estimate_at_completion
- "-total_estimate_at_completion"
- total_estimation_offset_time
- "-total_estimation_offset_time"
-
- total_future_booked_time
-
- "-total_future_booked_time"
- total_initial_estimate
- "-total_initial_estimate"
-
- total_left_to_schedule_time
-
- "-total_left_to_schedule_time"
-
- total_net_unplanned_time
-
- "-total_net_unplanned_time"
- total_remaining_time
- "-total_remaining_time"
- total_worked_time
~
Parameter
modified
sort_financial_item_report
Schema changes
- "-total_billable_scheduled_time"
- total_billable_time
- "-total_billable_time"
+
- total_billable_worked_time
+
- "-total_billable_worked_time"
- total_budget_total
- "-total_budget_total"
- total_budget_used
-
Get integration task management configurations
GET
Operation
removed
/api/v2/integration_task_management_configurations/get
Schema changes
-
tags:
-
- Integration Task Management Configuration
-
summary: Get integration task management configurations
-
responses:
-
'200':
-
"$ref": "#/components/responses/collection_integration_task_management_configuration"
-
parameters:
-
- "$ref": "#/components/parameters/filter_integration_task_management_configuration"
-
- "$ref": "#/components/parameters/sort_integration_task_management_configuration"
-
- "$ref": "#/components/parameters/header_organization"
-
operationId: integration_task_management_configurations-index
-
-
Create integration task management configuration
POST
Operation
removed
/api/v2/integration_task_management_configurations/post
Schema changes
-
tags:
-
- Integration Task Management Configuration
-
summary: Create integration task management configuration
-
responses:
-
'201':
-
"$ref": "#/components/responses/single_integration_task_management_configuration"
-
'422':
-
content:
-
application/vnd.api+json: {}
-
headers:
-
Content-Type:
-
schema:
-
type: string
-
parameters:
-
- "$ref": "#/components/parameters/header_organization"
-
operationId: integration_task_management_configurations-create
-
requestBody:
-
"$ref": "#/components/requestBodies/integration_task_management_configuration"
-
-
Delete integration task management configuration
DELETE
Operation
removed
/api/v2/integration_task_management_configurations/{id}/delete
Schema changes
-
tags:
-
- Integration Task Management Configuration
-
summary: Delete integration task management configuration
-
responses:
-
'204': {}
-
parameters:
-
- in: path
-
name: id
-
schema:
-
type: string
-
required: true
-
- "$ref": "#/components/parameters/header_organization"
-
operationId: integration_task_management_configurations-destroy
-
-
Get integration task management configuration
GET
Operation
removed
/api/v2/integration_task_management_configurations/{id}/get
Schema changes
-
tags:
-
- Integration Task Management Configuration
-
summary: Get integration task management configuration
-
responses:
-
'200':
-
"$ref": "#/components/responses/single_integration_task_management_configuration"
-
parameters:
-
- in: path
-
name: id
-
schema:
-
type: string
-
required: true
-
- "$ref": "#/components/parameters/header_organization"
-
operationId: integration_task_management_configurations-show
-
-
Update integration task management configuration
PATCH
Operation
removed
/api/v2/integration_task_management_configurations/{id}/patch
Schema changes
-
tags:
-
- Integration Task Management Configuration
-
summary: Update integration task management configuration
-
responses:
-
'200':
-
"$ref": "#/components/responses/single_integration_task_management_configuration"
-
'422':
-
content:
-
application/vnd.api+json: {}
-
headers:
-
Content-Type:
-
schema:
-
type: string
-
parameters:
-
- in: path
-
name: id
-
schema:
-
type: string
-
required: true
-
- "$ref": "#/components/parameters/header_organization"
-
operationId: integration_task_management_configurations-update
-
requestBody:
-
"$ref": "#/components/requestBodies/integration_task_management_configuration_update"
-
July 29, 2026
6 changes
6 changes
click to expand
~
Schema
modified
resource_project_relevancy_report
Schema changes
- grouper
x-relationship: has_one
x-related-resource: resource_project
+
person_id:
+
type: integer
+
title: Person
+
x-used-in:
+
- filter
booked_score:
type: integer
title: Booked Score
...
title: Pinned Services Score
x-used-in:
- serializer
+
time_trackable_on_date:
+
type: string
+
title: Time Trackable On Date
+
format: date
+
x-used-in:
+
- filter
+
time_tracked_period_end:
+
type: string
+
title: Time Tracked Period End
+
format: date
+
x-used-in:
+
- filter
+
time_tracked_period_start:
+
type: string
+
title: Time Tracked Period Start
+
format: date
+
x-used-in:
+
- filter
x-internal: true
~
Schema
modified
resource_service_report
Schema changes
title: Total Markup Amount Default
x-used-in:
- serializer
-
total_tentative_booked_time:
-
type: number
-
title: Total Tentative Booked Time
-
x-used-in:
-
- serializer
-
- sorter
average_budget_usage_default:
type: number
title: Average Budget Usage Default
...
title: Total Budget Remaining Normalized
x-used-in:
- serializer
-
total_future_tentative_booked_time:
-
type: number
-
title: Total Future Tentative Booked Time
-
x-used-in:
-
- serializer
-
- sorter
total_projected_revenue_normalized:
title: Total Projected Revenue Normalized
x-used-in:
~
Schema
modified
resource_section
Schema changes
title: Budget
x-used-in:
- filter
-
description:
-
type: string
-
title: Description
-
x-used-in:
-
- serializer
-
- form
preferences:
type: object
title: Preferences
~
Schema
modified
resource_service
Schema changes
title: Markup Amount Default
x-used-in:
- serializer
-
tentative_booked_time:
-
type: integer
-
title: Tentative Booked Time
-
x-used-in:
-
- serializer
time_tracking_enabled:
type: boolean
title: Time Tracking Enabled
...
- serializer
future_budget_used_default:
title: Future Budget Used Default
-
x-used-in:
-
- serializer
-
future_tentative_booked_time:
-
type: integer
-
title: Future Tentative Booked Time
x-used-in:
- serializer
projected_revenue_normalized:
~
Schema
modified
filter_project_relevancy_report
Schema changes
not_contain:
"$ref": "#/components/schemas/resource_project_relevancy_report/properties/domain"
- "$ref": "#/components/schemas/resource_project_relevancy_report/properties/domain"
+
person_id:
+
"$ref": "#/components/schemas/resource_project_relevancy_report/properties/person_id"
heuristic_type:
oneOf:
- type: object
...
not_contain:
"$ref": "#/components/schemas/resource_project_relevancy_report/properties/heuristic_type"
- "$ref": "#/components/schemas/resource_project_relevancy_report/properties/heuristic_type"
+
time_trackable_on_date:
+
"$ref": "#/components/schemas/resource_project_relevancy_report/properties/time_trackable_on_date"
+
time_tracked_period_end:
+
"$ref": "#/components/schemas/resource_project_relevancy_report/properties/time_tracked_period_end"
+
time_tracked_period_start:
+
"$ref": "#/components/schemas/resource_project_relevancy_report/properties/time_tracked_period_start"
x-internal: true
~
Parameter
modified
sort_service_report
Schema changes
- "-total_future_booked_time"
- total_future_budget_used
- "-total_future_budget_used"
-
- total_future_tentative_booked_time
-
- "-total_future_tentative_booked_time"
- total_left_to_schedule_time
- "-total_left_to_schedule_time"
- total_markup_amount
...
- "-total_revenue"
- total_rolled_over_time
- "-total_rolled_over_time"
-
- total_tentative_booked_time
-
- "-total_tentative_booked_time"
- total_unapproved_time
- "-total_unapproved_time"
- total_worked_cost
July 28, 2026
7 changes
7 changes
click to expand
~
Schema
modified
resource_service
Schema changes
title: Markup Amount Default
x-used-in:
- serializer
+
tentative_booked_time:
+
type: integer
+
title: Tentative Booked Time
+
x-used-in:
+
- serializer
time_tracking_enabled:
type: boolean
title: Time Tracking Enabled
...
- serializer
future_budget_used_default:
title: Future Budget Used Default
+
x-used-in:
+
- serializer
+
future_tentative_booked_time:
+
type: integer
+
title: Future Tentative Booked Time
x-used-in:
- serializer
projected_revenue_normalized:
~
Schema
modified
resource_service_report
Schema changes
title: Total Markup Amount Default
x-used-in:
- serializer
+
total_tentative_booked_time:
+
type: number
+
title: Total Tentative Booked Time
+
x-used-in:
+
- serializer
+
- sorter
average_budget_usage_default:
type: number
title: Average Budget Usage Default
...
title: Total Budget Remaining Normalized
x-used-in:
- serializer
+
total_future_tentative_booked_time:
+
type: number
+
title: Total Future Tentative Booked Time
+
x-used-in:
+
- serializer
+
- sorter
total_projected_revenue_normalized:
title: Total Projected Revenue Normalized
x-used-in:
~
Schema
modified
resource_service_report
Schema changes
x-used-in:
- serializer
- sorter
-
bookable_date_for_period:
-
type: string
-
title: Bookable Date For Period
-
format: date
-
x-used-in:
-
- filter
booking_tracking_enabled:
type: integer
title: Booking Tracking Enabled
~
Schema
modified
resource_service
Schema changes
title: Expense Billable Amount
x-used-in:
- serializer
-
bookable_date_for_period:
-
type: string
-
title: Bookable Date For Period
-
format: date
-
x-used-in:
-
- filter
booking_tracking_enabled:
type: boolean
title: Booking Tracking Enabled
~
Schema
modified
filter_service
Schema changes
not_contain:
"$ref": "#/components/schemas/resource_service/properties/trackable_by_person_id"
- "$ref": "#/components/schemas/resource_service/properties/trackable_by_person_id"
-
bookable_date_for_period:
-
oneOf:
-
- type: object
-
title: Operation
-
properties:
-
eq:
-
"$ref": "#/components/schemas/resource_service/properties/bookable_date_for_period"
-
not_eq:
-
"$ref": "#/components/schemas/resource_service/properties/bookable_date_for_period"
-
contains:
-
"$ref": "#/components/schemas/resource_service/properties/bookable_date_for_period"
-
not_contain:
-
"$ref": "#/components/schemas/resource_service/properties/bookable_date_for_period"
-
- "$ref": "#/components/schemas/resource_service/properties/bookable_date_for_period"
booking_tracking_enabled:
oneOf:
- type: object
~
Schema
modified
filter_service_report
Schema changes
not_contain:
"$ref": "#/components/schemas/resource_service_report/properties/trackable_by_person_id"
- "$ref": "#/components/schemas/resource_service_report/properties/trackable_by_person_id"
-
bookable_date_for_period:
-
oneOf:
-
- type: object
-
title: Operation
-
properties:
-
eq:
-
"$ref": "#/components/schemas/resource_service_report/properties/bookable_date_for_period"
-
not_eq:
-
"$ref": "#/components/schemas/resource_service_report/properties/bookable_date_for_period"
-
contains:
-
"$ref": "#/components/schemas/resource_service_report/properties/bookable_date_for_period"
-
not_contain:
-
"$ref": "#/components/schemas/resource_service_report/properties/bookable_date_for_period"
-
- "$ref": "#/components/schemas/resource_service_report/properties/bookable_date_for_period"
booking_tracking_enabled:
oneOf:
- type: object
~
Parameter
modified
sort_service_report
Schema changes
- "-total_future_booked_time"
- total_future_budget_used
- "-total_future_budget_used"
+
- total_future_tentative_booked_time
+
- "-total_future_tentative_booked_time"
- total_left_to_schedule_time
- "-total_left_to_schedule_time"
- total_markup_amount
...
- "-total_revenue"
- total_rolled_over_time
- "-total_rolled_over_time"
+
- total_tentative_booked_time
+
- "-total_tentative_booked_time"
- total_unapproved_time
- "-total_unapproved_time"
- total_worked_cost
Previous
Next
Showing page
3
of
23
(
156
dates with changes)
Previous
1
2
3
4
5
...
23
Next